---
title: Translation API
description: "This API allows third-party developers to translate listing titles and listing descriptions from one supported language into another."
api_version: v1_beta.1.6
api_name: translation_api
api_type: REST
api_group: sell/translation_api
source_url:
  html: https://developer.ebay.com/develop/api/sell/translation_api
  md: https://developer.ebay.com/develop/api/sell/translation_api.md
---

# Translation API API

This API allows third-party developers to translate listing titles and listing descriptions from one supported language into another.

## API Information

**Title:** Translation API
**Version:** v1_beta.1.6
**Description:** This API allows 3rd party developers to translate item titles and item descriptions.
**Base Path:** /commerce/translation/v1_beta

## API Methods

The following API methods are available:

### translate

#### POST /translate
**Description:** This method translates listing title and listing description text from one language into another. For a full list of supported language translations, see the [table](/develop/guides-v2/other-apis-guide#supported-languages).
**Parameters:**
- **Content-Type** (string) *required*
  - This header indicates the format of the request body provided by the client. Its value should be set to **application/json**.  
  
For more information, refer to [HTTP request headers](/develop/guides-v2/using-ebay-restful-apis#headers).
**OAuth scope**

This request requires an access token created with the **Client Credentials Grant** flow, using one or more scopes from the following list (please check your Application Keys page for a list of OAuth scopes available to your application):

**Required Scopes:**

**Client Credentials Grant:**

- `https://api.ebay.com/oauth/api_scope`


## Error Codes

The following error codes may be returned by this API:

### APPLICATION Errors

#### 110000 - API_TRANSLATION
**Description:** There was a problem with an eBay internal system or process. Contact eBay developer support for assistance.

### REQUEST Errors

#### 110001 - API_TRANSLATION
**Description:** From language is invalid, missing or not supported. For more information, see the API call reference documentation.

#### 110002 - API_TRANSLATION
**Description:** To language is invalid, missing or not supported. For more information, see the API call reference documentation.

#### 110003 - API_TRANSLATION
**Description:** Context is not supported. For more information, see the API call reference documentation.

#### 110004 - API_TRANSLATION
**Description:** Maximum number of input text reached. For more information, see the API call reference documentation.

#### 110005 - API_TRANSLATION
**Description:** Maximum length of input text reached. For more information, see the API call reference documentation.

#### 110006 - API_TRANSLATION
**Description:** Unsupported from and to combination.

#### 110007 - API_TRANSLATION
**Description:** Markups are not supported in input texts for title translation context.

#### 110008 - API_TRANSLATION
**Description:** Input text missing.

## Types

### LanguageEnum
**Description:** This enumeration type lists the languages that are currently supported for either input or output text. For a full list of supported language translations, see the Supported languages [table](/develop/guides-v2/other-apis-guide#supported-languages). | - **de**: Indicates the language of the input or output text is German. - **en**: Indicates the language of the input or output text is English. - **es**: Indicates the language of the input or output text is Spanish. - **fr**: Indicates the language of the input or output text is French. - **it**: Indicates the language of the input or output text is Italian. - **ja**: Indicates the language of the input or output text is Japanese. - **pl**: Indicates the language of the input or output text is Polish. - **pt**: Indicates the language of the input or output text is Portuguese. - **ru**: Indicates the language of the input or output text is Russian. - **zh**: Indicates the language of the input or output text is Chinese.
**Type:** string

### TranslateRequest
**Description:** This is the base type of the **translate** method request payload.
**Type:** object

**Properties:**
- **from** (LanguageEnum)
  - The language of the input text to be translated. Not all **LanguageEnum** values are supported in this field. For a full list of supported language pairings, see the Supported languages [table](/develop/guides-v2/other-apis-guide#supported-languages).
- **text** (array)
  - The input text to translate. The maximum number of characters permitted is determined by the **translationContext** value:

*   `ITEM_TITLE`: 1000 characters maximum
*   `ITEM_DESCRIPTION`: 20,000 characters maximum.  
    **Note:** When translating `ITEM_DESCRIPTION` text, HTML/CSS markup and links can be included and will not count toward this 20,000 character limit.

**Note:** Currently, only one input string can be translated per API call. Support for multiple continuous text strings is expected in the future.
- **to** (LanguageEnum)
  - The target language for the translation of the input text. Not all **LanguageEnum** values are supported in this field. For a full list of supported language pairings, see the Supported languages [table](/develop/guides-v2/other-apis-guide#supported-languages).
- **translationContext** (TranslationContextEnum)
  - Input the listing entity to be translated.  
  
**Valid Values:** `ITEM_TITLE` and `ITEM_DESCRIPTION`.

### TranslateResponse
**Description:** This is the base type of the **translate** method response payload.
**Type:** object

**Properties:**
- **from** (LanguageEnum)
  - The enumeration value indicates the language of the input text.
- **to** (LanguageEnum)
  - The enumeration value indicates the language of the translated text.
- **translations** (array)
  - An array showing the input and translated text. Only one input string can be translated at this time. Support for multiple continuous text strings is expected in the future.

### Translation
**Description:** This type is used by the **translations** array, which shows the original text supplied by the user in the request payload, and the text translated by eBay.  
  
Only one input string can be translated at this time. Support for multiple continuous text strings is expected in the future.
**Type:** object

**Properties:**
- **originalText** (string)
  - The original text, in the language specified in the **from** field, that was input into the **text** field in the request.
- **translatedText** (string)
  - The translation of the original text into the language specified in the **to** field.

### TranslationContextEnum
**Description:** This enumeration type indicates the listing entities that may be translated with the Translation API. | - **ITEM_TITLE**: This value is input into the **translationContext** input field if the user wishes to translate a listing title. - **ITEM_DESCRIPTION**: This value is input into the **translationContext** input field if the user wishes to translate a listing description.
**Type:** string

## Rate Limits

See [API Call Limits](https://developer.ebay.com/develop/get-started/api-call-limits) on the eBay Developer Program.

## Resources

### Documentation

- [eBay Developer Program](https://developer.ebay.com/)
- [API Documentation](https://developer.ebay.com/develop/api/)
- [SDKs and Widgets](https://developer.ebay.com/develop/sdks-and-widgets)
- [Developer Community Forum](https://community.ebay.com/t5/Developer-Groups/ct-p/developergroup)

### Tools

- [API Explorer](https://developer.ebay.com/my/api_test_tool)
- [GraphQL Explorer](https://developer.ebay.com/my/graphql_explorer)

### Support

- [Developer Support](https://developer.ebay.com/support/)
- [API Status](https://developer.ebay.com/support/api-status)
- [Release Notes](https://developer.ebay.com/develop/api/release_notes/)

---
*Generated on 2026-06-10T18:22:38.485Z*